package com.m2pool.gateway.config.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

/**
 * ApiKey脚本配置
 *
 * @author dy
 */
@Configuration
@RefreshScope
@ConfigurationProperties(prefix = "security.apikey")
public class ApiKeyProperties
{
    /**
     * ApiKey开关
     */
    private Boolean enabled;

    /**
     * 排除路径
     */
    private List<String> matchUrls = new ArrayList<>();

    public Boolean getEnabled()
    {
        return enabled;
    }

    public void setEnabled(Boolean enabled)
    {
        this.enabled = enabled;
    }

    public List<String> getMatchUrls()
    {
        return matchUrls;
    }

    public void setMatchUrls(List<String> matchUrls)
    {
        this.matchUrls = matchUrls;
    }
}
